Summary: Support library to use the Qualcomm MSM Interface (QMI) protocol
Name: libqmi
Version: 1.32.2
Release: 4%{?dist}
License: LGPLv2+
URL: http://freedesktop.org/software/libqmi
Source0: https://gitlab.freedesktop.org/mobile-broadband/libqmi/-/archive/%{version}/%{name}-%{version}.tar.bz2

BuildRequires: meson >= 0.53 gcc
BuildRequires: glib2-devel >= 2.56 gobject-introspection-devel
BuildRequires: pkgconfig(gudev-1.0) >= 147 python3 gtk-doc help2man
BuildRequires: libmbim-devel >= 1.18.0 libqrtr-glib-devel

%description
This package provides the libraries that make it easier for glib applications to use 
QMI functionality.


%package devel
Summary: Header files for adding QMI support to applications that use glib
Requires: %{name} = %{version}-%{release}
Requires: glib2-devel
Requires: pkgconfig

%description devel
This package provides the header and pkg-config files for development applications 
using QMI functionality.


%package utils
Summary: Utilities to use the QMI protocol from the command line
Requires: %{name} = %{version}-%{release}
License: GPLv2+

%description utils
This package provides the utilities that make it easier to use QMI functionality from 
he command line.


%prep
%autosetup -p1


%build
%meson -Dgtk_doc=true -Dbash_completion=false
%meson_build


%install
%meson_install
find %{buildroot}%{_datadir}/gtk-doc |xargs touch --reference meson.build
mkdir -p %{buildroot}%{_datadir}/bash-completion/completions
cp -a src/qmicli/qmicli %{buildroot}%{_datadir}/bash-completion/completions/


%check
%meson_test


%files
%license COPYING.LIB
%doc NEWS AUTHORS README.md
%{_libdir}/libqmi-glib.so.*
%{_libdir}/girepository-1.0/Qmi-1.0.typelib


%files devel
%{_includedir}/libqmi-glib/
%{_libdir}/pkgconfig/qmi-glib.pc
%{_libdir}/libqmi-glib.so
%{_datadir}/gtk-doc/html/libqmi-glib/
%{_datadir}/gir-1.0/Qmi-1.0.gir


%files utils
%license COPYING
%{_bindir}/qmicli
%{_bindir}/qmi-network
%{_bindir}/qmi-firmware-update
%{_datadir}/bash-completion
%{_libexecdir}/qmi-proxy
%{_mandir}/man1/*


%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.32.2-4
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.32.2-3
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.32.2-2
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Jul 12 2023 Wang Guodong <gordonwwang@tencent.com> - 1.32.2-1
- Upgrade to 1.32.2

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.30.6-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.30.6-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Nov 21 2022 Wang Guodong <gordonwwang@tencent.com> - 1.30.6-1
- package init.
